---
- name: installation de wireguard
  apt:
    name: wireguard
    state: present

- name: installation de wireguard-tools
  apt:
    name: wireguard-tools
    state: present

#- name: installation de sshpass
#  apt:
#    name: sshpass
#    state: present

#- name: copie du fichier de configuration depuis r-vp1
#  command: "sshpass -p 'root' scp -r root@192.168.99.112:/root/confwg/wg0-b.conf /etc/wireguard/"

#- name: renommage du fichier de configuration
#  command: "mv /etc/wireguard/wg0-b.conf /etc/wireguard/wg0.conf"
